Bug 242233

Summary: devel/efl: fix build on powerpc64 elfv2
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: freebsd-enlightenment (Nobody) <enlightenment>
Status: Closed FIXED    
Severity: Affects Only Me CC: enlightenment
Priority: --- Flags: bugzilla: maintainer-feedback? (enlightenment)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch pkubaj: maintainer-approval? (enlightenment)

Description Piotr Kubaj freebsd_committer 2019-11-25 20:27:50 UTC
Created attachment 209423 [details]
patch

Explicitly include altivec.h if AltiVec build is done.
Otherwise build with clang fails with:
lib/evas/common/evas_cpu.c:89:11: warning: implicit declaration of function 'vec_splat_u32' is invalid in C99 [-Wimplicit-function-declaration]
   zero = vec_splat_u32(0);
          ^
lib/evas/common/evas_cpu.c:89:9: error: assigning to '__vector unsigned int' (vector of 4 'unsigned int' values) from incompatible type 'int'
   zero = vec_splat_u32(0);
        ^ ~~~~~~~~~~~~~~~~
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-12-02 01:54:27 UTC
Approved as mentor ("does no harm" on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-12-12 13:52:13 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Dec 12 13:51:52 UTC 2019
New revision: 519925
URL: https://svnweb.freebsd.org/changeset/ports/519925

Log:
  devel/efl: fix build on powerpc64 elfv2

  Explicitly include altivec.h if AltiVec build is done.
  Otherwise build with clang fails with:
  lib/evas/common/evas_cpu.c:89:11: warning: implicit declaration of function 'vec_splat_u32' is invalid in C99 [-Wimplicit-function-declaration]
     zero = vec_splat_u32(0);
            ^
  lib/evas/common/evas_cpu.c:89:9: error: assigning to '__vector unsigned int' (vector of 4 'unsigned int' values) from incompatible type 'int'
     zero = vec_splat_u32(0);
          ^ ~~~~~~~~~~~~~~~~

  PR:             242233
  Approved by:    enlightenment (maintainer timeout)

Changes:
  head/devel/efl/files/patch-src_lib_evas_common_evas__cpu.c